Loading...
Searching...
No Matches
juce::File::NaturalFileComparator Struct Reference

`#include <juce_File.h>`

## Public Member Functions

| NaturalFileComparator (bool shouldPutFoldersFirst) noexcept
int | compareElements (const File &firstFile, const File &secondFile) const

## Public Attributes

bool | foldersFirst

## Detailed Description

Comparator for files

Definition at line 1121 of file juce_File.h.

## Constructor & Destructor Documentation

## NaturalFileComparator()

juce::File::NaturalFileComparator::NaturalFileComparator | ( | bool | shouldPutFoldersFirst | ) |

inline noexcept

Definition at line 1123 of file juce_File.h.

## Member Function Documentation

## compareElements()

int juce::File::NaturalFileComparator::compareElements | ( | const File & | firstFile,
|  | const File & | secondFile ) const

inline

Definition at line 1125 of file juce_File.h.

## Member Data Documentation

## foldersFirst

bool juce::File::NaturalFileComparator::foldersFirst

Definition at line 1137 of file juce_File.h.

The documentation for this struct was generated from the following file:

- juce_File.h